This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 484649 - Starting kvm guest sometimes fails - qemu taking too long?
Starting kvm guest sometimes fails - qemu taking too long?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
: 485568 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 04:30 EST by Mark McLoughlin
Modified: 2009-11-18 08:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-02-09 04:30:46 EST
With libvirt-0.6.0-2.fc10, I'm sometimes seeing:

  $> virsh start winxp-pro1
  libvir: QEMU error : internal error unable to start guest: 
  error: Failed to start domain winxp-pro1

It sounds like this issue reported upstream:

  http://www.redhat.com/archives/libvir-list/2009-February/msg00143.html
Comment 1 Mark McLoughlin 2009-02-16 19:54:01 EST
*** Bug 485568 has been marked as a duplicate of this bug. ***
Comment 2 Mark McLoughlin 2009-02-16 20:06:09 EST
I think this is fixed upstream by this commit:

  http://git.et.redhat.com/?p=libvirt.git;a=commitdiff;h=e9555c1f

Dan, do you fancy pushing a build with this?
Comment 3 Mark McLoughlin 2009-02-19 04:38:21 EST
* Wed Feb 18 2009 Daniel P. Berrange <berrange@redhat.com> - 0.6.0-4.fc11
- Fix QEMU startup timeout/race (rhbz #484649)
- Setup DBus threading. Don't allow dbus to call _exit / change SIGPIPE (rhbz #484553)
- Fix timeout when autostarting session daemon
Comment 4 Matthias Runge 2009-02-26 02:18:58 EST
seems no to fixed.

raceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 532, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 380, in startup
    self.vm.create()
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 287, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error unable to start guest: 

using libvirt-0.6.0-3

This happens especially if the hosting machine has some work to do. Looks like a timing problem.
Comment 5 Daniel Berrange 2009-03-10 08:31:13 EDT
This fix is also now available in Fedora 10, updates-testing 0.6.1 release of libvirt
Comment 6 Matthias Runge 2009-03-10 08:34:31 EDT
yepp. libvirt-0.6.1 fixes this issue. Thanks!
Comment 7 Fedora Update System 2009-03-11 13:59:02 EDT
libvirt-0.6.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2396
Comment 8 Bug Zapper 2009-11-18 06:03:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Cole Robinson 2009-11-18 08:55:31 EST
libvirt-0.6.1 isn't pushed to stable, and is sitting in updates testing for F10. This bug won't be fixed in the stable f10 package, but is fixed in F11.

Moving to F11 and closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.